Subject: Re: How does one discover a ghost path to non-exitent server
From: Harry Putnam <[email-masked]>
To: [email-masked]
Date: Tue, 29 Nov 2022 18:54:49 -0500
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Andrey Repin <[email-masked]> writes:

> Greetings, Harry Putnam!
>
>> I'm sure there has been plenty of pounding over time about not being
>> able to get a sshd server working on win 10
>
> That was years ago, when M$ had introduced SSH server of their own into
> Windows10 Pro+ editions.

There is nothing in this post regarding windows own introduction of
using openssh for a server.  So, I'm not sure what your comment means there.

>> Running latest cygwin on win 10 I go thru the steps that begin with
>>   ssh-host-config -y 
>
>> I'm told at the end the server wasn't installed because there already
>> is one.
>
>> Neither "cygrunsrv -S" nor "net start"  know anything about it.
>
>>> $ sc query | grep -i ssh
>
> ?
>
>> In an old post from this groups I found mention of there being a problem
>> where previous attempts to install sshd server may have left the path
>> but not the server.
>
>> Not really sure what the heck that might mean. Something like a cygwin
>> install of ssh and sshd server scouts around somewhere and finds a
>> path but no server and says OK, good to go.  You have the server.
>
> It may have left a record in the system's services list, but no actual binary
> was left on the disk.
> Or it was an old Cygwin versions that stumbled upon modern Windows and tripped
> over standard SSH service name.
>
>> It sounds kind of silly on the surface but I guess it is, in fact, a
>> real problem.
>
>> Cutting to the chase, can anyone tell me what can be done about such a
>> problem?  How can one find and erase a path that has no sshd at the
>> end.
>
>> Maybe I'm just misunderstanding things a bit.
>
> 1. Make sure you are using updated 64-bit Cygwin install.
> 2. Check if there's no Cygwin sshd services installed (name is cygsshd).
> 3. Try again with `ssh-host-config`.
> 4. Provide logs of the command and `cygcheck -svr` if it fails again.
> (gzip the cygcheck output, the list often rejects emails that are too big)

Thank you sir for the excellent input.  I left the bulk of the post in
tact in case other seachers may stumble into it.

I'm pretty sure your help would have saved the day but as it happens.

I haven't really done a thing toward fixing it, yet when I looked at
the list of windows services again I spotted the service right away,
its on and working.

I think just on the strength of your help and participation the
heebjeebs who were meddling with things cleared out.

Thanks

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple